Take the 2-minute tour ×
Database Administrators Stack Exchange is a question and answer site for database professionals who wish to improve their database skills and learn from others in the community. It's 100% free, no registration required.

I have SQL Server 2012 with version 11.0.3000.0 .

enter image description here

I need upgrade my version to SQL Server 2012 SP1 because I need install Cumulation 4 in Sql Server 2012 Cumulative Update 4 for use PowerPivot in Multidimensional Database.

Before install Sql Server 2012 Cumulative Update 4 I need Upgrade my SQL Server to Service Pack 1.

How Can I Update My Version to SP1.

I sow this Link and download SQLServer2012SP1-KB2674319-x64-ENU.exe and SQLServer2012SP1-FullSlipstream-ENU-x64.iso but this not work in my Server.

I have this error :

enter image description here

share|improve this question

migrated from stackoverflow.com Feb 2 at 16:40

This question came from our site for professional and enthusiast programmers.

1  
What is the version of SQL Server (NOT management studio)? Run select @@version and post the results - it looks like SP1 is already installed. –  georgeb_dba Feb 1 at 15:12

2 Answers 2

up vote 4 down vote accepted

It looks like you are already at Service Pack 1 (this is why MSSQLSERVER is checked and greyed out). 11.0.3000 and 11.1.3000 are essentially the same thing, different files just have different reasons for exposing a different number in the middle - that number is really not relevant to your problem.

So now you just need to download and install the latest CU. I've blogged about SP1 CU #8 here, you can download it here, or if you really want CU #4 specifically, you can download that here (just keep in mind that this CU was released last June; you are missing a boatload of fixes if you limit yourself to that update).

P.S. you check the version of SQL Server by opening a query window and running:

SELECT @@VERSION;

The method you're using now checks the version of Management Studio - these are client tools that can be older or newer than the server service itself.

share|improve this answer
    
my sql server version is : Microsoft SQL Server 2012 - 11.0.2100.60 (X64) Feb 10 2012 19:39:15 Copyright (c) Microsoft Corporation Enterprise Edition (64-bit) on Windows NT 6.1 <X64> (Build 7601: Service Pack 1) (Hypervisor) but When I run SP1 CU #8 I get this error : The version of SQL Server instance Shared Component does not match the version expected by the SQL Server update. The installed SQL Server product version is 11.0.2100.60, and the expected SQL Server version is 11.1.3000.0. –  Ardalan Shahgholi Feb 2 at 9:49
1  
@loup then that is not the same server or instance that the screen shot in your question is attempting to patch. If your server is at 2100 then that is RTM and you need to apply SP1 first. You won't get that validation error applying SP1 to an RTM instance. Are you trying to apply the service pack and/or cumulative update to a server from your workstation? –  Aaron Bertrand Feb 2 at 13:30
    
merci. it work. i first run service pack 1 and then U8 –  Ardalan Shahgholi Feb 2 at 21:02

If you go to the download page on service packs, there are a lot of details.

http://www.microsoft.com/en-us/download/details.aspx?id=35575

Thus, SP1 install contains CU1 and cu2.

Are you sure the SQL server engine is installed?

I did a bunch of checking. Not too much information on this error.

First place to start is the event logs and sql server error logs.

Please check for more information (details) on this error.

share|improve this answer
    
I am sure that SQL server engine is installed. and my error is : there are no sql server instance or shared features that can be updated on this computer. –  Ardalan Shahgholi Feb 1 at 16:12

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.